Bug 1015850 - [abrt] xfce4-terminal-0.6.2-2.fc20: magazine_chain_pop_head: Process /usr/bin/xfce4-terminal was killed by signal 11 (SIGSEGV)
[abrt] xfce4-terminal-0.6.2-2.fc20: magazine_chain_pop_head: Process /usr/bin...
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: xfce4-terminal (Show other bugs)
20
i686 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Kevin Fenzi
Fedora Extras Quality Assurance
abrt_hash:c2719f65a1889845ceaf652d788...
:
: 1005444 1046449 (view as bug list)
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-10-06 03:01 EDT by Sergei
Modified: 2014-12-09 02:22 EST (History)
10 users (show)

See Also:
Fixed In Version: xfce4-terminal-0.6.3-1.fc19
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2014-01-03 03:30:42 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
File: backtrace (35.04 KB, text/plain)
2013-10-06 03:01 EDT, Sergei
no flags Details
File: cgroup (159 bytes, text/plain)
2013-10-06 03:01 EDT, Sergei
no flags Details
File: core_backtrace (13.00 KB, text/plain)
2013-10-06 03:01 EDT, Sergei
no flags Details
File: dso_list (7.76 KB, text/plain)
2013-10-06 03:01 EDT, Sergei
no flags Details
File: environ (601 bytes, text/plain)
2013-10-06 03:01 EDT, Sergei
no flags Details
File: exploitable (82 bytes, text/plain)
2013-10-06 03:01 EDT, Sergei
no flags Details
File: limits (1.29 KB, text/plain)
2013-10-06 03:01 EDT, Sergei
no flags Details
File: maps (25.65 KB, text/plain)
2013-10-06 03:01 EDT, Sergei
no flags Details
File: open_fds (909 bytes, text/plain)
2013-10-06 03:01 EDT, Sergei
no flags Details
File: proc_pid_status (787 bytes, text/plain)
2013-10-06 03:01 EDT, Sergei
no flags Details
File: var_log_messages (306 bytes, text/plain)
2013-10-06 03:01 EDT, Sergei
no flags Details


External Trackers
Tracker ID Priority Status Summary Last Updated
Xfce 10395 None None None Never

  None (edit)
Description Sergei 2013-10-06 03:01:18 EDT
Description of problem:
I clicked Unmaximized sime times.

Version-Release number of selected component:
xfce4-terminal-0.6.2-2.fc20

Additional info:
reporter:       libreport-2.1.7
backtrace_rating: 4
cmdline:        /bin/xfce4-terminal
crash_function: magazine_chain_pop_head
executable:     /usr/bin/xfce4-terminal
kernel:         3.11.3-301.fc20.i686
runlevel:       N 5
type:           CCpp
uid:            1000

Truncated backtrace:
Thread no. 1 (10 frames)
 #0 magazine_chain_pop_head at gslice.c:545
 #1 thread_memory_magazine1_alloc at gslice.c:848
 #2 g_slice_alloc at gslice.c:1007
 #3 g_slice_alloc0 at gslice.c:1042
 #4 g_object_notify_queue_freeze at gobject.c:237
 #5 g_object_init at gobject.c:963
 #6 g_type_create_instance at gtype.c:1862
 #7 g_object_new_internal at gobject.c:1746
 #10 gtk_radio_menu_item_new at gtkradiomenuitem.c:63
 #11 gtk_radio_menu_item_new_with_label at gtkradiomenuitem.c:200

Potential duplicate: bug 1005444
Comment 1 Sergei 2013-10-06 03:01:23 EDT
Created attachment 808421 [details]
File: backtrace
Comment 2 Sergei 2013-10-06 03:01:26 EDT
Created attachment 808422 [details]
File: cgroup
Comment 3 Sergei 2013-10-06 03:01:29 EDT
Created attachment 808423 [details]
File: core_backtrace
Comment 4 Sergei 2013-10-06 03:01:32 EDT
Created attachment 808424 [details]
File: dso_list
Comment 5 Sergei 2013-10-06 03:01:35 EDT
Created attachment 808425 [details]
File: environ
Comment 6 Sergei 2013-10-06 03:01:38 EDT
Created attachment 808426 [details]
File: exploitable
Comment 7 Sergei 2013-10-06 03:01:41 EDT
Created attachment 808427 [details]
File: limits
Comment 8 Sergei 2013-10-06 03:01:45 EDT
Created attachment 808428 [details]
File: maps
Comment 9 Sergei 2013-10-06 03:01:47 EDT
Created attachment 808429 [details]
File: open_fds
Comment 10 Sergei 2013-10-06 03:01:50 EDT
Created attachment 808430 [details]
File: proc_pid_status
Comment 11 Sergei 2013-10-06 03:01:53 EDT
Created attachment 808431 [details]
File: var_log_messages
Comment 12 Kevin Fenzi 2013-10-13 15:13:45 EDT
Can you duplicate the crash? How many times did you click unminimize?
Comment 13 Germán Racca 2013-12-22 23:56:34 EST
Another user experienced a similar problem:

This happens always:
1) Open xfce4-terminal (enable menubar if it is disabled, with right click)
2) Click Terminal -> Set Encoding
2) Segmentation fault (core dumped)

reporter:       libreport-2.1.10
backtrace_rating: 4
cmdline:        xfce4-terminal
crash_function: magazine_chain_pop_head
executable:     /usr/bin/xfce4-terminal
kernel:         3.12.5-302.fc20.x86_64
package:        xfce4-terminal-0.6.2-3.fc20
reason:         xfce4-terminal killed by SIGSEGV
runlevel:       N 5
type:           CCpp
uid:            1000
Comment 14 Kevin Fenzi 2013-12-23 12:30:25 EST
This is https://bugzilla.xfce.org/show_bug.cgi?id=10395 upstream already with a patch. ;) 

I will look at pushing updates...
Comment 15 Kevin Fenzi 2013-12-23 12:31:16 EST
*** Bug 1005444 has been marked as a duplicate of this bug. ***
Comment 16 Germán Racca 2013-12-23 12:43:55 EST
(In reply to Kevin Fenzi from comment #14)
> This is https://bugzilla.xfce.org/show_bug.cgi?id=10395 upstream already
> with a patch. ;) 
> 
> I will look at pushing updates...

Thanks for your prompt reply Kevin! :)
Comment 17 Fedora Update System 2013-12-23 12:54:34 EST
xfce4-terminal-0.6.2-4.fc20 has been submitted as an update for Fedora 20.
https://admin.fedoraproject.org/updates/xfce4-terminal-0.6.2-4.fc20
Comment 18 Fedora Update System 2013-12-23 12:55:14 EST
xfce4-terminal-0.6.2-4.fc19 has been submitted as an update for Fedora 19.
https://admin.fedoraproject.org/updates/xfce4-terminal-0.6.2-4.fc19
Comment 19 Konstantin Svist 2013-12-23 16:38:02 EST
Another user experienced a similar problem:

I was browsing Terminal menu options, didn't press anything at the moment of crash

reporter:       libreport-2.1.10
backtrace_rating: 4
cmdline:        xfce4-terminal
crash_function: magazine_chain_pop_head
executable:     /usr/bin/xfce4-terminal
kernel:         3.12.5-302.fc20.x86_64
package:        xfce4-terminal-0.6.2-3.fc20
reason:         xfce4-terminal killed by SIGSEGV
runlevel:       N 5
type:           CCpp
uid:            1000
Comment 20 Fedora Update System 2013-12-23 22:41:09 EST
Package xfce4-terminal-0.6.2-4.fc19:
* should fix your issue,
* was pushed to the Fedora 19 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing xfce4-terminal-0.6.2-4.fc19'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2013-23914/xfce4-terminal-0.6.2-4.fc19
then log in and leave karma (feedback).
Comment 21 Kevin Fenzi 2013-12-25 11:52:29 EST
*** Bug 1046449 has been marked as a duplicate of this bug. ***
Comment 22 Fedora Update System 2013-12-27 12:30:00 EST
xfce4-terminal-0.6.3-1.fc20 has been submitted as an update for Fedora 20.
https://admin.fedoraproject.org/updates/xfce4-terminal-0.6.3-1.fc20
Comment 23 Fedora Update System 2013-12-27 12:31:01 EST
xfce4-terminal-0.6.3-1.fc19 has been submitted as an update for Fedora 19.
https://admin.fedoraproject.org/updates/xfce4-terminal-0.6.3-1.fc19
Comment 24 Fedora Update System 2014-01-03 03:30:42 EST
xfce4-terminal-0.6.3-1.fc20 has been pushed to the Fedora 20 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 25 Fedora Update System 2014-01-05 07:34:26 EST
xfce4-terminal-0.6.3-1.fc19 has been pushed to the Fedora 19 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 26 Sergei 2014-12-09 02:22:06 EST
I write this comment because I receive email with subj "[Red Hat Bugzilla] Your Outstanding Requests" periodically.
I have not additional info because I use Arch Linux now.

Note You need to log in before you can comment on or make changes to this bug.